Imagick::uniqueImageColors
Imagick::valid
Imagick
PHP Manual

# Imagick::unsharpMaskImage

(PECL imagick 2.0.0)

Imagick::unsharpMaskImage — Sharpens an image

### Description

bool Imagick::unsharpMaskImage ( float `$radius` , float `$sigma` , float `$amount` , float `$threshold` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Sharpens an image. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, radius should be larger than sigma. Use a radius of 0 and Imagick::UnsharpMaskImage() selects a suitable radius for you.

### Parameters

`radius`

`sigma`

`amount`

`threshold`

`channel`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::unsharpMaskImage()

`<?php
function unsharpMaskImage($imagePath, $radius, $sigma, $amount, $unsharpThreshold) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->unsharpMaskImage($radius, $sigma, $amount, $unsharpThreshold);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::uniqueImageColors
Imagick::valid
Imagick
PHP Manual